IPCS(1)

NAME
ipcs - report System V interprocess communication facilities status

SYNOPSIS
ipcs [-abcmopqstMQST]

DESCRIPTION
The ipcs program provides information on System V interprocess communication (IPC) facilities on the system.

The options are as follows:

-a  Show the maximum amount of information possible when displaying active semaphores, message queues, and shared memory segments. (This is shorthand for specifying the -b, -c, -o, -p, and -t options.)

-b  Show the maximum allowed sizes for active semaphores, message queues, and shared memory segments. The “maximum allowed size” is the maximum number of bytes in a message on a message queue, the size of a shared memory segment, or the number of semaphores in a set of semaphores.

-c  Show the creator's name and group for active semaphores, message queues, and shared memory segments.

-m  Display information about active shared memory segments.

-o  Show outstanding usage for active message queues, and shared memory segments. The “outstanding usage” is the number of messages in a message queue, or the number of processes attached to a shared memory segment.

-p  Show the process ID information for active semaphores, message queues, and shared memory segments. The “process ID information” is the last process to send a message to or receive a message from a message queue, the process that created a semaphore, or the last process to attach or detach a shared memory segment.

-q  Display information about active message queues.

-s  Display information about active semaphores.

-t  Show access times for active semaphores, message queues, and shared memory segments. The access times is the time of the last control operation on an IPC object, the last send or receive of a message, the last attach or detach of a shared memory segment, or the last operation on a semaphore.

-M  Display system information about shared memory.

-Q  Display system information about messages queues.

-S  Display system information about semaphores.

-T  Display system information about shared memory, message queues and semaphores. (This is shorthand for specifying the -M, -Q, and -S options.)

If none of the -M, -m, -Q, -q, -S, -s, or -T options are specified, information about all active IPC facilities is listed.

RESTRICTIONS
System data structures may change while ipcs is running; the output of ipcs is not guaranteed to be consistent.

SEE ALSO
ipcrm(1), shmat(2), shmctl(2), shmdt(2), shmget(2)

AUTHORS
Thorsten Lockert <tholo@sigmasoft.com>

BUGS
This manual page is woefully incomplete, because it does not at all attempt to explain the information printed by ipcs.